import { Week } from '../schemas/week.schema';

export class CreateStructureDto {
  id: number;
  numero: number;
  dateDeCreation: string;
  derniereModification: string;
  nomDeLusager: string;
  votreStructureEstElle: string;
  nomDeVotreStructure: string;
  description: string;
  activitesMaintenuesDansLeCadreDuConfinement: string;
  n: string;
  voie: string;
  telephone: string;
  courriel: string;
  siteWeb: string;
  facebook: string;
  twitter: string;
  instagram: string;
  civilite: string;
  nom: string;
  prenom: string;
  fonction: string;
  accessibilitePersonnesAMobiliteReduitePmr: string;
  modalitesDacces: string[];
  labelsEtQualifications: string[];
  publicsAcceptes: string[];
  fermeturesExceptionnelles: string;
  jaccompagneLesUsagersDansLeursDemarchesEnLigne: boolean;
  accompagnementDesDemarches: string[];
  autresAccompagnements: string;
  lesCompetencesDeBase: string[];
  accesAuxDroits: string[];
  insertionSocialeEtProfessionnelle: string[];
  aideALaParentalite: string[];
  cultureEtSecuriteNumerique: string[];
  wifiEnAccesLibre: boolean;
  ordinateurs: boolean;
  nombre: string;
  tablettes: boolean;
  bornesNumeriques: boolean;
  imprimantes: boolean;
  precisionsSiNecessaire: string;
  statutJuridique: string;
  appartenezVousAUnReseauDeMediation: string;
  precisezLequel: string;
  idDeLitemStructureDansDirectus: string;
  statutDeLitemStructureDansDirectus: string;
  idDeLitemOffreDansDirectus: string;
  statut: string;
  typeDeStructure: string[];
  commune: string;
  hours: Week;
}
